#
# spec file for package wpm (Version 0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         wpm
Copyright:    Copyright (C) 1999 Gunnar Wolf
Group:        Networking/Daemons
Requires:     apache
Autoreqprov:  on
Version:      0.8
Release:      199
Summary:      WPM - Web-based Proxy Manager
Source:       wpm-0.8.tar.gz
Source1:      rc.wpmd
Source2:      rc.config.wpmd
Source3:      README.SuSE
Source4:      LIESMICH.SuSE
Patch:        wpm-0.8.dif

%description
The Web-based Proxy Manager (GPL) is an easy-to-use interface for
managing Squid and access to the Internet. It allows you to define
different users, with different access levels. You can easily define
network segments, allow or deny their Internet activity with a single
mouse click, allow or deny single computers' exit to the Internet, and
easily remove all the restrictions.

Authors:
--------
    
    gwolf@campus.iztacala.unam.mx

SuSE series: n

%prep
%setup
%patch -p1

%install
%define apache_docroot %(apxs -q PREFIX)
install %{SOURCE1} /etc/init.d/wpmd
ln -sf ../../etc/init.d/wpmd /usr/sbin/rcwpmd
mkdir -p /var/adm/fillup-templates
install -m 644 %{SOURCE2} /var/adm/fillup-templates
mkdir -p %{apache_docroot}/cgi-bin/proxymgr
install -m 744 wpmd.pl /usr/sbin
install -m 644 wpm.html %{apache_docroot}/htdocs
install -m 644 wpm.jpg %{apache_docroot}/htdocs
install -m 644 wpm-logo.gif %{apache_docroot}/htdocs
install -m 644 head.html %{apache_docroot}/cgi-bin/proxymgr
install -m 755 *.cgi %{apache_docroot}/cgi-bin/proxymgr
install -m 644 -o wwwrun labs_defs.txt %{apache_docroot}/cgi-bin/proxymgr
install -m 644 -o wwwrun name_defs.txt %{apache_docroot}/cgi-bin/proxymgr
install -m 644 -o wwwrun passfile.txt %{apache_docroot}/cgi-bin/proxymgr
ln -sf %{apache_docroot}/cgi-bin/proxymgr/passfile.txt /etc/passfile.txt
install -m 644 -o wwwrun wpmd.conf %{apache_docroot}/cgi-bin/proxymgr
ln -sf %{apache_docroot}/cgi-bin/proxymgr/wpmd.conf /etc/wpmd.conf 
chmod a-x install.pl
install -m 644 %{SOURCE3} .
install -m 644 %{SOURCE4} .

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.wpmd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.wpmd and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/wpmd

%postun
sbin/insserv etc/init.d/

%files
%dir %{apache_docroot}/cgi-bin/proxymgr
/var/adm/fillup-templates/rc.config.wpmd
%config /etc/init.d/wpmd
/usr/sbin/rcwpmd
/usr/sbin/wpmd.pl
%config(noreplace) %{apache_docroot}/cgi-bin/proxymgr/wpmd.conf
/etc/wpmd.conf
%config(noreplace) %{apache_docroot}/cgi-bin/proxymgr/passfile.txt
/etc/passfile.txt
%config(noreplace) %{apache_docroot}/cgi-bin/proxymgr/labs_defs.txt
%config(noreplace) %{apache_docroot}/cgi-bin/proxymgr/name_defs.txt
%{apache_docroot}/cgi-bin/proxymgr/login.cgi
%{apache_docroot}/cgi-bin/proxymgr/netconf.cgi
%{apache_docroot}/cgi-bin/proxymgr/passwd_adm.cgi
%{apache_docroot}/cgi-bin/proxymgr/passwd_chg.cgi
%{apache_docroot}/cgi-bin/proxymgr/proxy_status.cgi
%{apache_docroot}/cgi-bin/proxymgr/proxy_updown.cgi
%{apache_docroot}/cgi-bin/proxymgr/wpmdconf.cgi
%{apache_docroot}/cgi-bin/proxymgr/head.html
%{apache_docroot}/htdocs/wpm.html
%{apache_docroot}/htdocs/wpm.jpg
%{apache_docroot}/htdocs/wpm-logo.gif
%doc CHANGELOG COPYING README.SuSE LIESMICH.SuSE install.pl

%changelog -n wpm
* Thu Jul 26 2001 - bodammer@suse.de
- initscript and config files extracted from wpm-0.8.dif
* Thu May 10 2001 - bodammer@suse.de
- initscript fix: don't start wpmd in runlevel 2 [bug #7956]
* Fri Mar 30 2001 - bodammer@suse.de
- new initscript more LSB conform
- symbolic link for wpmd.conf and passfile.txt to /etc added
- wrong html-link in passwd_chg.cgi fixed
* Tue Mar 13 2001 - ro@suse.de
- fixed specfile (new document root)
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Tue Nov 28 2000 - bodammer@suse.de
- Fix location of rcscript
* Fri Nov 24 2000 - bodammer@suse.de
- rcscript update
* Thu Jul 27 2000 - bodammer@suse.de
- initial package of wpm version 0.8
